ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_TECHNOLOGY_EVENT_CHANGED =
   EFL_EVENT_DESCRIPTION("changed");

void _efl_net_control_technology_powered_set(Eo *obj, Efl_Net_Control_Technology_Data *pd, Eina_Bool powered);


static Eina_Error
__eolian_efl_net_control_technology_powered_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_control_technology_powered_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_technology_powered_set, EFL_FUNC_CALL(powered), Eina_Bool powered);

Eina_Bool _efl_net_control_technology_powered_get(const Eo *obj, Efl_Net_Control_Technology_Data *pd);


static Eina_Value
__eolian_efl_net_control_technology_powered_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_technology_powered_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_technology_powered_get, Eina_Bool, 0);

void _efl_net_control_technology_tethering_set(Eo *obj, Efl_Net_Control_Technology_Data *pd, Eina_Bool enabled, const char *identifier, const char *passphrase);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_technology_tethering_set, EFL_FUNC_CALL(enabled, identifier, passphrase), Eina_Bool enabled, const char *identifier, const char *passphrase);

void _efl_net_control_technology_tethering_get(const Eo *obj, Efl_Net_Control_Technology_Data *pd, Eina_Bool *enabled, const char **identifier, const char **passphrase);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_technology_tethering_get, EFL_FUNC_CALL(enabled, identifier, passphrase), Eina_Bool *enabled, const char **identifier, const char **passphrase);

Eina_Bool _efl_net_control_technology_connected_get(const Eo *obj, Efl_Net_Control_Technology_Data *pd);


static Eina_Value
__eolian_efl_net_control_technology_connected_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_technology_connected_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_technology_connected_get, Eina_Bool, 0);

Efl_Net_Control_Technology_Type _efl_net_control_technology_type_get(const Eo *obj, Efl_Net_Control_Technology_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_technology_type_get, Efl_Net_Control_Technology_Type, 0);

Eina_Future *_efl_net_control_technology_scan(Eo *obj, Efl_Net_Control_Technology_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY(efl_net_control_technology_scan, Eina_Future *, NULL);

void _efl_net_control_technology_efl_object_destructor(Eo *obj, Efl_Net_Control_Technology_Data *pd);


const char *_efl_net_control_technology_efl_object_name_get(const Eo *obj, Efl_Net_Control_Technology_Data *pd);


static Eina_Bool
_efl_net_control_technology_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_CONTROL_TECHNOLOGY_EXTRA_OPS
#define EFL_NET_CONTROL_TECHNOLOGY_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_powered_set, _efl_net_control_technology_powered_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_powered_get, _efl_net_control_technology_powered_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_tethering_set, _efl_net_control_technology_tethering_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_tethering_get, _efl_net_control_technology_tethering_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_connected_get, _efl_net_control_technology_connected_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_type_get, _efl_net_control_technology_type_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_technology_scan, _efl_net_control_technology_scan),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_net_control_technology_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_name_get, _efl_net_control_technology_efl_object_name_get),
      EFL_NET_CONTROL_TECHNOLOGY_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"powered", __eolian_efl_net_control_technology_powered_set_reflect, __eolian_efl_net_control_technology_powered_get_reflect},
      {"connected", NULL, __eolian_efl_net_control_technology_connected_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_control_technology_class_desc = {
   EO_VERSION,
   "Efl.Net.Control.Technology",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Net_Control_Technology_Data),
   _efl_net_control_technology_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_control_technology_class_get, &_efl_net_control_technology_class_desc, EFL_LOOP_CONSUMER_CLASS, NULL);
